<template>
  <div class="box-border p-16 mb-8 w-full h-full">
    <ChatHeaderBar title="系统消息详情" />

    <h1 class="font-medium pt-50 mb-8 text-2xl text-black-3 leading-7xl">
      {{ itemData?.title }}
    </h1>

    <div class="mb-16 text-sm text-black-9">{{ itemData?.createTime }}</div>

    <div class="text-black-3 text-[13px]" v-html="itemData?.content"></div>
  </div>
</template>

<script setup>
const id = useRouteQuery('id')

definePageMeta({
  layout: false
})

useSeoMeta({
  title: '系统消息'
})

onMounted(() => {
  getData()
})

const itemData = ref(null)

const getData = async () => {
  const { data } = await request(
    `/website/systemMessageController/getSysMessageDetail?messageId=${id?.value}`
  )
  if (data) {
    itemData.value = data
  }
}
</script>

<style lang="scss" scoped></style>
